import request from '@/utils/request'

// 查询cmc合作单位列表
export function listPartner(query) {
  return request({
    url: '/oa/partner/list',
    method: 'get',
    params: query
  })
}

// 查询cmc合作单位详细
export function getPartner(partnerId) {
  return request({
    url: '/oa/partner/' + partnerId,
    method: 'get'
  })
}

// 新增cmc合作单位
export function addPartner(data) {
  return request({
    url: '/oa/partner',
    method: 'post',
    data: data
  })
}

// 修改cmc合作单位
export function updatePartner(data) {
  return request({
    url: '/oa/partner',
    method: 'put',
    data: data
  })
}

// 删除cmc合作单位
export function delPartner(partnerId) {
  return request({
    url: '/oa/partner/' + partnerId,
    method: 'delete'
  })
}
